#include "texas.h"

int hand = 0;

std::pair<ActionType, int> makeDecision(const State& s) {
    if (s.community[0].value == -1) hand = 100;
    if (hand == 0) {
        return std::make_pair(ActionType::CHECK, 0);
    }
    auto rates = getRatesBySampling(s, 100);
    if (rates.first > 1 - rates.first - rates.second) {
        int num = hand; hand = 0;
        return std::make_pair(ActionType::RAISE, num);
    }
    return std::make_pair(ActionType::CHECK, 0);
}